System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Net.WebRequest System.Runtime.Serialization.ISerializable

The class implements the abstract base class for Uniform Resource Identifiers (URIs) that use the file:// scheme to request local files.

Do not use the constructor. Use the method to initialize new instances of the class. If the URI scheme is file://, the method returns a object.

The method makes a synchronous request for the file specified in the property and returns a object that contains the response. You can make an asynchronous request for the file using the and methods.

When you want to write data to a file, the method returns a instance to write to. The and methods provide asynchronous access to the write data stream.

The class relies on the class for error handling and code access security.

Provides a file system implementation of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Serialization is obsoleted for this type", false)

  This constructor implements the interface for the class.

  Initializes a new instance of the class from the specified instances of the and classes.

  A object that contains the information that is required to serialize the new object.
  A object that contains the source of the serialized stream that is associated with the new object.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void

  The method cancels a request to a resource. After a request is canceled, calling the , , , , , or method causes a with the property set to .

  Note This member outputs trace information when you enable network tracing in your application. For more information, see [<topic://conUsingNetworkTracing>].

  Cancels a request to an Internet resource.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IAsyncResult `` ``

  The method starts an asynchronous request for a stream used to send data to a file system resource. The callback method that implements the delegate uses the method to return the request stream.

  Begins an asynchronous request for a object to use to write data.

  An that references the asynchronous request.

  The delegate. An object that contains state information for this request.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IAsyncResult `` ``

  The asynchronous callback method that implements the delegate uses the method to return the actual .

  Begins an asynchronous request for a file system resource.

  An that references the asynchronous request.

  The delegate. An object that contains state information for this request.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property is currently not used by the class.

  Gets or sets the name of the connection group for the request. This property is reserved for future use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long' To be added

  Gets or sets the content length of the data being sent.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property contains the media type of the data being sent. This is typically the MIME encoding of the content. The property is currently not used by the class.

  Gets or sets the content type of the data being sent. This property is reserved for future use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.ICredentials To be added: an object of type 'ICredentials'

  Because the class does not authenticate requests for files from the local file system, it ignores the contents, if any, of the property. Authentication for is handled by the access control lists for the file resource in the underlying file system.

  Gets or sets the credentials that are associated with this request. This property is reserved for future use.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream ``

  The method completes an asynchronous stream request that was started by the method.

  To avoid timing issues with garbage collection, be sure to close the response stream by calling the method on the stream returned by the method after calling the method.

  Ends an asynchronous request for a instance that the application uses to write data.

  A object that the application uses to write data.

  An that references the pending request for a stream.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebResponse ``

  The method completes an asynchronous request for a file system resource that was started with the method.

  Ends an asynchronous request for a file system resource.

  A that contains the response from the file system resource.

  An that references the pending request for a response.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Any objects that are included in the are automatically tracked and serialized by the formatter.

  Populates a with the data needed to serialize the target object.

  The to populate with data. A that specifies the destination for this serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream

  The method provides synchronous access to the . For asynchronous access, use the and methods.

  Returns a object for writing data to the file system resource.

  A for writing data to the file system resource.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebResponse

  The method returns a object that contains the response from the file system resource.

  The method provides synchronous access to the . For asynchronous access, use the and methods.

  Returns a response to a file system request.

  A that contains the response from the file system resource.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebHeaderCollection To be added: an object of type 'WebHeaderCollection'

  The property is currently not used by the class.

  Gets a collection of the name/value pairs that are associated with the request. This property is reserved for future use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property is currently not used by the class.

  Gets or sets the protocol method used for the request. This property is reserved for future use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  The property is currently not used by the class.

  Gets or sets a value that indicates whether to preauthenticate a request. This property is reserved for future use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IWebProxy To be added: an object of type 'IWebProxy'

  The property is currently not used by the class.

  Gets or sets the network proxy to use for this request. This property is reserved for future use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Uri To be added: an object of type 'Uri' To be added

  Gets the Uniform Resource Identifier (URI) of the request.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Populates a object with the required data to serialize the .

  A that holds the serialized data for the . A that contains the destination of the serialized stream that is associated with the new .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  A Domain Name System (DNS) query may take up to 15 seconds to return or time out. If your request contains a host name that requires resolution and you set to a value less than 15 seconds, it may take 15 seconds or more before a is thrown to indicate a time-out on your request.

  Gets or sets the length of time until the request times out.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The property is provided only for compatibility with other implementations of the and classes. There is no reason to use .

  Always throws a .